Loading...
Searching...
No Matches
uhd::experts::node_retriever_t Class Referenceabstract

`#include <uhd/experts/expert_nodes.hpp>`

Inheritance diagram for uhd::experts::node_retriever_t:
[legend]

## Public Member Functions

virtual | ~node_retriever_t ()
virtual const dag_vertex_t & | lookup (const std::string &name) const =0

## Friends

class | data_accessor_t

## Detailed Description

class node_retriever_t

Node storage is managed by a framework class so we need and interface to find and retrieve data nodes to associate

## with accessors.

## Constructor & Destructor Documentation

## ~node_retriever_t()

virtual uhd::experts::node_retriever_t::~node_retriever_t | ( |  | ) |

inline virtual

## Member Function Documentation

## lookup()

virtual const dag_vertex_t & uhd::experts::node_retriever_t::lookup | ( | const std::string & | name | ) | const

pure virtual

## Friends And Related Symbol Documentation

## data_accessor_t

friend class data_accessor_t

friend

The documentation for this class was generated from the following file:

- expert_nodes.hpp